Quassel IRC - Bug #936

Improper handling of PREFIX channel modes
03/13/2010 05:49 AM - stitch

Status: Resolved Start date: 03/13/2010
Priority: Normal Due date:

Assignee: johu % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.6.2

Version: 0.6.1 0S: Any
Description

Quassel has this problem where it will auto-assume all networks use the prefixes of gaohv(~&
freenode/efnet that only use +ov. This is due to the _prefix and _prefixModes strings being set to the fallback defaults, triggered by
the identd/hostname notices sent before RPL_ISUPPORT. Normally, this would of been fine, however, certain ircd's like
ShadowlIRCd use ! instead of & for chmode +a (default when owner +g does not exist). The attached patch will set
_prefix/_prefixModes AFTER ircd sends 005 RPL_ISUPPORT to correct this behavior.

Associated revisions

Revision f0013829ab979864e1cbf23¢c0195485¢c5d7ccb72 - 08/11/2010 04:30 PM - Nevcairiel

Force parsing of PREFIX in RPL_ISUPPORT. Fixes #936

In some cases the automatic parsing of PREFIX was actually
triggered before RPL_ISUPPORT was actually received. In this case
the internal prefix configuration would only contain the default
modes, and not the network specific modes, which would cause
custom modes to be ignored completly.

This patch forces the parsing of PREFIX directly after RPL_ISUPPORT
was received, and the data is available.

Revision 0013829 - 08/11/2010 04:30 PM - Nevcairiel
Force parsing of PREFIX in RPL_ISUPPORT. Fixes #936

In some cases the automatic parsing of PREFIX was actually
triggered before RPL_ISUPPORT was actually received. In this case
the internal prefix configuration would only contain the default
modes, and not the network specific modes, which would cause
custom modes to be ignored completly.

This patch forces the parsing of PREFIX directly after RPL_ISUPPORT
was received, and the data is available.

Revision 8d0f43088ae079115d8021f9a451e3e578f362dd - 08/11/2010 04:31 PM - Nevcairiel
Force parsing of PREFIX in RPL_ISUPPORT. Fixes #936

In some cases the automatic parsing of PREFIX was actually
triggered before RPL_ISUPPORT was actually received. In this case
the internal prefix configuration would only contain the default
modes, and not the network specific modes, which would cause
custom modes to be ignored completly.

This patch forces the parsing of PREFIX directly after RPL_ISUPPORT
was received, and the data is available.

Revision 8d0f4308 - 08/11/2010 04:31 PM - Nevcairiel
Force parsing of PREFIX in RPL_ISUPPORT. Fixes #936

In some cases the automatic parsing of PREFIX was actually
triggered before RPL_ISUPPORT was actually received. In this case
the internal prefix configuration would only contain the default
modes, and not the network specific modes, which would cause
custom modes to be ignored completly.
This patch forces the parsing of PREFIX directly after RPL_ISUPPORT
was received, and the data is available.

History

#1 - 07/26/2010 10:51 PM - johu

- Category set to Quassel Core

- Assignee set to johu

- Priority changed from High to Normal
- Target version set to 0.6.2

- Version changed from 0.6-pre to 0.6.1

#2 - 08/11/2010 04:40 PM - Nevcairiel
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 8d0f43088ae079115d8021f9a451e3e578f362dd.
